ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 27411] New: - Ant 1.6.1 breaks with Jikes 1.19
Date Wed, 03 Mar 2004 14:28:04 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=27411>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=27411

Ant 1.6.1 breaks with Jikes 1.19

           Summary: Ant 1.6.1 breaks with Jikes 1.19
           Product: Ant
           Version: 1.6.1
          Platform: Other
        OS/Version: Other
            Status: NEW
          Severity: Normal
          Priority: Other
         Component: Core tasks
        AssignedTo: dev@ant.apache.org
        ReportedBy: otis@apache.org


I was a happy Ant 1.5.2 + Jikes 1.19 user, but had to upgrade to Ant 1.6.1,
because one project I worked on required it.

Now I cannot compile any of my projects with this new Ant, when I use Ant with
Jikes:

    [javac]         <------------------------------------------------
    [javac]     15. public class MasterCache implements WGObjectCache
    [javac]    . . .
    [javac]    161. }
    [javac]         >
    [javac] *** Semantic Error: A class file was not generated for the type
"com.example.MasterCache" because a library method that it depends on was not
found. See system messages for more information.

That happens when I pass -Dbuild.compiler=jikes to Ant.

If, on the other hand, I use -Dbuild.compiler=modern, then things compile.

I am using Ant 1.6.1 and Jikes 1.19. 

Everything worked well with Ant 1.5.2 and Jikes 1.19.
This error is happening with multiple projects.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message